-- Verify camper:available_icons on pg

begin;

set search_path to camper;

select 1 / count(*) from icon where icon_name = 'area';
select 1 / count(*) from icon where icon_name = 'baby';
select 1 / count(*) from icon where icon_name = 'ball';
select 1 / count(*) from icon where icon_name = 'barbecue';
select 1 / count(*) from icon where icon_name = 'bicycle';
select 1 / count(*) from icon where icon_name = 'cabin';
select 1 / count(*) from icon where icon_name = 'campfire';
select 1 / count(*) from icon where icon_name = 'castle';
select 1 / count(*) from icon where icon_name = 'ecofriendly';
select 1 / count(*) from icon where icon_name = 'electricity';
select 1 / count(*) from icon where icon_name = 'flask_gear';
select 1 / count(*) from icon where icon_name = 'fridge';
select 1 / count(*) from icon where icon_name = 'grate_droplet';
select 1 / count(*) from icon where icon_name = 'hvac';
select 1 / count(*) from icon where icon_name = 'information';
select 1 / count(*) from icon where icon_name = 'kayak';
select 1 / count(*) from icon where icon_name = 'nopet';
select 1 / count(*) from icon where icon_name = 'outing';
select 1 / count(*) from icon where icon_name = 'person';
select 1 / count(*) from icon where icon_name = 'pet';
select 1 / count(*) from icon where icon_name = 'plot';
select 1 / count(*) from icon where icon_name = 'pool';
select 1 / count(*) from icon where icon_name = 'puzzle';
select 1 / count(*) from icon where icon_name = 'restaurant';
select 1 / count(*) from icon where icon_name = 'route';
select 1 / count(*) from icon where icon_name = 'rv';
select 1 / count(*) from icon where icon_name = 'sailboat';
select 1 / count(*) from icon where icon_name = 'shirt';
select 1 / count(*) from icon where icon_name = 'shop';
select 1 / count(*) from icon where icon_name = 'shower';
select 1 / count(*) from icon where icon_name = 'store';
select 1 / count(*) from icon where icon_name = 'tent';
select 1 / count(*) from icon where icon_name = 'toilet';
select 1 / count(*) from icon where icon_name = 'washer';
select 1 / count(*) from icon where icon_name = 'wheelchair';
select 1 / count(*) from icon where icon_name = 'wifi';

rollback;
